class PiaoTouModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  PiaoTouModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  PiaoTouModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  int type;
  String name;
  String telephone;
  String email;
  String gmfNsrsbm;
  String gmfMc;
  String gmfDz;
  String gmfDh;
  String gmfYh;
  String gmfZh;
  String userId;
  int isDefault;
  String enterpriseNumber;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.type,
      this.name,
      this.telephone,
      this.email,
      this.gmfNsrsbm,
      this.gmfMc,
      this.gmfDz,
      this.gmfDh,
      this.gmfYh,
      this.gmfZh,
      this.isDefault,
      this.userId,
      this.enterpriseNumber});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    type = json['type'];
    name = json['name'];
    telephone = json['telephone'];
    email = json['email'];
    gmfNsrsbm = json['gmfNsrsbm'];
    gmfMc = json['gmfMc'];
    gmfDz = json['gmfDz'];
    gmfDh = json['gmfDh'];
    gmfYh = json['gmfYh'];
    gmfZh = json['gmfZh'];
    isDefault = json['isDefault'];
    userId = json['userId'];
    enterpriseNumber = json['enterpriseNumber'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['type'] = this.type;
    data['name'] = this.name;
    data['telephone'] = this.telephone;
    data['email'] = this.email;
    data['gmfNsrsbm'] = this.gmfNsrsbm;
    data['gmfMc'] = this.gmfMc;
    data['gmfDz'] = this.gmfDz;
    data['gmfDh'] = this.gmfDh;
    data['gmfYh'] = this.gmfYh;
    data['gmfZh'] = this.gmfZh;
    data['isDefault'] = this.isDefault;
    data['userId'] = this.userId;
    data['enterpriseNumber'] = this.enterpriseNumber;
    return data;
  }
}